Update or pause an agent
PATCH
/orgs/{organizationId}/projects/{projectId}/agents/{agentId}Update or pause an agent within the selected project. Uses the app's permissions and entitlements.
AuthorizationBearer <token>
Scoped FishOut API key. Never send credentials in query parameters.
In: header
Path Parameters
organizationId*string
Length
1 <= lengthprojectId*string
Length
1 <= lengthagentId*string
Length
1 <= length <= 200Header Parameters
Idempotency-Key*string
Reuse for retries of the same action for 24 hours. A changed body returns 409.
Length
8 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/orgs/string/projects/string/agents/string" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "projectId": "string", "name": "string", "description": "string", "enabled": true, "trigger": { "type": "mention.created" }, "conditions": [ { "field": "string", "operator": "string", "value": "string", "property1": "string", "property2": "string" } ], "actions": [ { "type": "string", "config": { "property1": "string", "property2": "string" }, "property1": "string", "property2": "string" } ], "needsUpdate": true, "createdAt": "2019-08-24T14:15:22Z", "lastRunAt": "2019-08-24T14:15:22Z", "runCount24h": 0, "runCountTotal": 0, "property1": "string", "property2": "string" }, "meta": { "requestId": "string", "replayed": true }}